import { Form } from '../../e2elib/lib/src/pageobjects/form.component';
import { MatrixEditorSOP } from '../../libappsop/matrixeditorsop';
import { DialogTimeCapacity } from '../dialogs/dialog.timecapacity';

export class FormTimeCapacities extends Form {
  public meTimeCapacities = new MatrixEditorTimeCapacities();

  public constructor() {
    super('FormTimeCapacities');
  }
}

class MatrixEditorTimeCapacities extends MatrixEditorSOP<DialogTimeCapacity> {
  public constructor() {
    super('MatrixEditorTimeCapacities', 'matrixeditorContextMenuTime', new DialogTimeCapacity());
  }
}

export enum MatrixEditorTimeCapacitiesContextMenuItem {
  Edit = 'MenuEdit',
}
